<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<event category="COLLISION" with="oFlare">
  <actions>
    <action id="603" library="1">
      <!--action name: Code-->
      <kind>CODE</kind>
      <allowRelative>false</allowRelative>
      <question>false</question>
      <canApplyTo>true</canApplyTo>
      <actionType>CODE</actionType>
      <functionName/>
      <relative>false</relative>
      <not>false</not>
      <appliesTo>.self</appliesTo>
      <arguments>
        <argument kind="STRING">
// open test chamber door
if (other.held) {
  other.held = false;
  with (oPlayer1) {
    holdItem = 0;
    pickupItemType = "";
  }
}
with (other) instance_destroy();
instance_create(x+4+rand(1, 8), y+4+rand(1, 8), oBurn);
instance_create(x+2+rand(1, 4), y+10+rand(1, 4), oBurn);
instance_create(x+10+rand(1, 4), y+10+rand(1, 4), oBurn);
repeat (5) instance_create(x+8, y+8, oFlame);
//instance_create(x, y, oXScores);
instance_create(x, y, oXDebug);
playSound(global.sndChestOpen);
global.testChamber = true;
visible = false;
alarm[1] = rand(10, 15);
</argument>
      </arguments>
    </action>
  </actions>
</event>
